Bug 1259112 - UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordinal not in range(128) [NEEDINFO]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:ba2a630130a5bf2db010bf0f9b9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 21:04 EDT by Rafael Kiyoto
Modified: 2015-10-06 16:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-06 16:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (rafa.kiyoto)


Attachments (Terms of Use)
File: anaconda-tb (568.60 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: anaconda.log (5.04 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: dnf.log (2.78 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: environ (2.59 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: journalctl (397.48 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: lsblk_output (1.49 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: nmcli_dev_list (1.64 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: os_info (500 bytes, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: program.log (31.61 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: storage.log (82.52 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: ifcfg.log (16.86 KB, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details
File: packaging.log (50 bytes, text/plain)
2015-09-01 21:05 EDT, Rafael Kiyoto
no flags Details

  None (edit)
Description Rafael Kiyoto 2015-09-01 21:04:59 EDT
Description of problem:
instalando Anaconda pelo terminal

Version-Release number of selected component:
anaconda-core-22.20.13-1.fc22.x86_64

The following was filed automatically by anaconda:
anaconda 22.20.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/gettext.py", line 406, in ugettext
    return unicode(message)
  File "/usr/lib64/python2.7/gettext.py", line 405, in ugettext
    return self._fallback.ugettext(message)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/i18n.py", line 26, in <lambda>
    _ = lambda x: gettext.translation("anaconda", fallback=True).ugettext(x) if x != "" else u""
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 240, in _retranslate_one
    widget.set_label(_(before))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 246, in retranslate
    self._retranslate_one(name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 306, in on_locale_selection_changed
    self.retranslate()
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordinal not in range(128)

Additional info:
cmdline:        /usr/bin/python2  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/vmlinuz-4.0.4-301.fc22.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=fedora/root rhgb quiet
dnf.rpm.log:    Set 01 22:00:30 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: anaconda-gui-22.20.13-1.fc22.x86_64, python-libs-2.7.9-6.fc22.x86_64
product:        Fedora
release:        Fedora release 22 (Twenty Two)
type:           anaconda
version:        22
Comment 1 Rafael Kiyoto 2015-09-01 21:05:08 EDT
Created attachment 1069247 [details]
File: anaconda-tb
Comment 2 Rafael Kiyoto 2015-09-01 21:05:09 EDT
Created attachment 1069248 [details]
File: anaconda.log
Comment 3 Rafael Kiyoto 2015-09-01 21:05:10 EDT
Created attachment 1069249 [details]
File: dnf.log
Comment 4 Rafael Kiyoto 2015-09-01 21:05:11 EDT
Created attachment 1069250 [details]
File: environ
Comment 5 Rafael Kiyoto 2015-09-01 21:05:20 EDT
Created attachment 1069251 [details]
File: journalctl
Comment 6 Rafael Kiyoto 2015-09-01 21:05:22 EDT
Created attachment 1069252 [details]
File: lsblk_output
Comment 7 Rafael Kiyoto 2015-09-01 21:05:23 EDT
Created attachment 1069253 [details]
File: nmcli_dev_list
Comment 8 Rafael Kiyoto 2015-09-01 21:05:24 EDT
Created attachment 1069254 [details]
File: os_info
Comment 9 Rafael Kiyoto 2015-09-01 21:05:26 EDT
Created attachment 1069255 [details]
File: program.log
Comment 10 Rafael Kiyoto 2015-09-01 21:05:28 EDT
Created attachment 1069256 [details]
File: storage.log
Comment 11 Rafael Kiyoto 2015-09-01 21:05:30 EDT
Created attachment 1069257 [details]
File: ifcfg.log
Comment 12 Rafael Kiyoto 2015-09-01 21:05:31 EDT
Created attachment 1069258 [details]
File: packaging.log
Comment 13 David Shea 2015-09-02 09:39:06 EDT
How did you start anaconda? Which install media did you use?
Comment 14 David Shea 2015-10-06 16:05:26 EDT
Given the changes to all of i18n stuff for python 3 I doubt this is an issue anymore, but given the lack of details, who knows?

Note You need to log in before you can comment on or make changes to this bug.